Bug 489413 - kaffeine crashes KDE/X
kaffeine crashes KDE/X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 17:41 EDT by Dhaval Giani
Modified: 2018-04-11 15:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2009-03-09 17:41:26 EDT
Description of problem:
Open a video in kaffeine. Double click to go to full screen mode. Next I see the KDE login screen

Version-Release number of selected component (if applicable):
[dhaval@mordor ~]$ rpm -qv kaffeine
kaffeine-0.8.7-5.fc11.x86_64
[dhaval@mordor ~]$ rpm -qa | grep kde
kdeutils-4.2.1-3.fc11.x86_64
kdebase-libs-4.2.1-2.fc11.x86_64
kdenetwork-4.2.1-1.fc11.x86_64
kdelibs-common-4.2.1-4.fc11.x86_64
kdesdk-4.2.1-1.fc11.x86_64
kdemultimedia-4.2.1-1.fc11.x86_64
kdenetwork-libs-4.2.1-1.fc11.x86_64
kdebase-workspace-4.2.1-3.fc11.x86_64
kde-settings-kdm-4.2-4.20090225svn.fc11.noarch
xsettings-kde-0.9-2.fc11.x86_64
kdepimlibs-devel-4.2.1-2.fc11.x86_64
kdebase-runtime-libs-4.2.1-1.fc11.x86_64
kdebase-4.2.1-2.fc11.x86_64
kdebase-workspace-libs-4.2.1-3.fc11.x86_64
kdeedu-marble-4.2.1-1.fc11.x86_64
kdelibs-devel-4.2.1-4.fc11.x86_64
kdepimlibs-akonadi-4.2.1-2.fc11.x86_64
lockdev-1.0.1-14.fc11.x86_64
kdelibs-4.2.1-4.fc11.x86_64
kde-filesystem-4-24.fc11.noarch
lockdev-devel-1.0.1-14.fc11.x86_64
kdegames-libs-4.2.1-1.fc11.x86_64
kdebase-workspace-devel-4.2.1-3.fc11.x86_64
kdeutils-printer-applet-4.2.1-3.fc11.x86_64
kdesdk-libs-4.2.1-1.fc11.x86_64
kdepim-libs-4.2.1-2.fc11.x86_64
kde-settings-4.2-4.20090225svn.fc11.noarch
kdemultimedia-libs-4.2.1-1.fc11.x86_64
kdeedu-libs-4.2.1-1.fc11.x86_64
kdesdk-utils-4.2.1-1.fc11.x86_64
kdegames-4.2.1-1.fc11.x86_64
kdeplasma-addons-4.2.1-1.fc11.x86_64
kdegraphics-libs-4.2.1-2.fc11.x86_64
kdelibs3-3.5.10-9.fc11.x86_64
kdebase-runtime-4.2.1-1.fc11.x86_64
kdepim-4.2.1-2.fc11.x86_64
kdeaccessibility-4.2.1-1.fc11.x86_64
kdemultimedia-devel-4.2.1-1.fc11.x86_64
kdeartwork-4.2.1-1.fc11.x86_64
kdepimlibs-4.2.1-2.fc11.x86_64
solar-kde-theme-0.1.17-2.fc11.noarch
kde-settings-pulseaudio-4.2-4.20090225svn.fc11.noarch
kdegraphics-4.2.1-2.fc11.x86_64
[dhaval@mordor ~]$


How reproducible:
Everytime

Steps to Reproduce:
1. Open a video in kaffiene
2. Double click the video to go into full screen mode
3.
  
Actual results:
KDE/X Crash. We get the login screen again. dmesg has
nepomukservices[3549] general protection ip:7fd9258c969e sp:7fff2dccdb70 error:0 in libQtCore.so.4.5.0[7fd925872000+22c000]

But I am not sure if this has caused it.

Expected results:
Kaffeine is should play the video in full screen mode.

Additional info:
Do not see this happen in either gxine or vlc
Comment 1 Rex Dieter 2009-03-09 17:49:33 EDT
Crashing X usually means an X driver issue.  What video hw/driver are you using?
Comment 2 Dhaval Giani 2009-03-10 16:34:00 EDT
the intel drivers.
Comment 3 Rex Dieter 2009-04-19 17:21:24 EDT
Is this still reproducible?

If so, we'll likely triage this to the -intel driver, and a backtrace (with -debuginfo) would be helpful, if possible.
Comment 4 Dhaval Giani 2009-04-23 15:52:54 EDT
yes, it is reproducible. Can you let me know which debuginfo packages are needed?
Comment 5 Rex Dieter 2009-05-01 14:40:33 EDT
triaging -intel driver.
Comment 6 Dhaval Giani 2009-05-01 15:14:14 EDT
as suggested by ajax, ran X under gdb, and here is what I get,

(gdb) c
Continuing.

Program received signal SIGABRT, Aborted.
0x00000037d3a334f5 in raise () from /lib64/libc.so.6
(gdb) br
Breakpoint 1 at 0x37d3a334f5
(gdb) bt
#0  0x00000037d3a334f5 in raise () from /lib64/libc.so.6
#1  0x00000037d3a34d6a in abort () from /lib64/libc.so.6
#2  0x00000037d3a2c33a in __assert_fail () from /lib64/libc.so.6
#3  0x00007f05d98c5831 in intel_batch_require_space (sz=<value optimized out>, pI830=<value optimized out>, pScrn=<value optimized out>) at i830_batchbuffer.h:48
#4  intel_batch_start_atomic (sz=<value optimized out>, pI830=<value optimized out>, pScrn=<value optimized out>) at i830_batchbuffer.h:59
#5  I915DisplayVideoTextured (sz=<value optimized out>, pI830=<value optimized out>, pScrn=<value optimized out>) at i915_video.c:76
#6  0x00007f05d98b9fda in I830PutImage (pScrn=0x2454a90, src_x=<value optimized out>, src_y=<value optimized out>, drw_x=<value optimized out>, drw_y=<value optimized out>, src_w=<value optimized out>, src_h=240, drw_w=<value optimized out>, drw_h=<value optimized out>,
    id=842094169, buf=0x7f05c797c000 '\20' <repeats 200 times>..., width=352, height=240, sync=0, clipBoxes=0x7fffe27f9230, data=0x249d890, pDraw=0x2d4b1a0) at i830_video.c:2560
#7  0x0000000000494700 in xf86XVPutImage (client=<value optimized out>, pDraw=0x2d4b1a0, pPort=0x249f080, pGC=<value optimized out>, src_x=-30800, src_y=24424, src_w=352, src_h=0, drw_x=117, drw_y=0, drw_w=<value optimized out>, drw_h=<value optimized out>,
    format=0x249ed10, data=0x7f05c797c000 '\20' <repeats 200 times>..., sync=0, width=<value optimized out>, height=240) at xf86xv.c:1768
#8  0x00007f05da5b7e25 in ProcXvShmPutImage (client=0x2cfa180) at xvdisp.c:1171
#9  0x00000000004471b4 in Dispatch () at dispatch.c:437
#10 0x000000000042d0e5 in main (argc=<value optimized out>, argv=0x7fffe27f9548, envp=<value optimized out>) at main.c:397
(gdb)
Comment 7 Need Real Name 2009-05-01 21:42:46 EDT
I've changed the i915 video code to break large video puts into pieces small enough to fit into a batch buffer.

commit 8255cca2c9092f7ecb798944aa8f03fa3efcfa6c
Author: Keith Packard <keithp@keithp.com>
Date:   Fri May 1 18:34:43 2009 -0700
Comment 8 Bug Zapper 2009-06-09 08:03:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-11-05 13:22:42 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Bug Zapper 2010-04-27 09:08:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 07:25:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.